Bug 805364 - Trailing slash causes csprocessor.cfg / .ini server urls to not match
Trailing slash causes csprocessor.cfg / .ini server urls to not match
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 22:49 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.22.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-03-20 22:49:24 EDT
If you put a trailing slash on a server url in the csprocessor.ini file, and the server url does not have a trailing slash in the .cfg file, they won't match.

Obviously they are not the same string, but putting either url into a browser would get a similar result:

https://skynet.usersys.redhat.com:8443/TopicIndex/
https://skynet.usersys.redhat.com:8443/TopicIndex

both take you to the same place in a browser. So that user expectation can carry over into the configuration.

Maybe remove any trailing slash when matching urls?
Comment 1 Lee Newson 2012-03-23 23:55:30 EDT
Fixed in 0.22.4

Cause:
The Java URL.equals() function doesn't return that those two URL's are equal. (There is a reason but not worth mentioning)

Consequence:
The client would return an error message that the csprocessor.cfg couldn't be matched to a server configuration.

Fix:
Run all the URL's from the Command Line, csprocessor.cfg and csprocessor.ini through a validation function to add the trailing slashes and make sure that the protocal is set.
Comment 2 Lee Newson 2013-06-06 21:29:26 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.